from typing import Protocol

class GenericUrlManager(Protocol):
    def get_next_url() -> str: ...
    def get_crawl_size() -> int: ...
    def set_sharding(shard_index: int, shard_count: int) -> None: ...

